## horizon 14.0.3

=== debian/changelog ===
horizon (3:14.0.3-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1830695).
  * d/p/drop-devicename-creating-server-with-image-boot-to-volume.patch:
    Dropped. Fixed upstream in 14.0.3.
  * d/p/*-monkey-patching-for-APITestCase.patch:
    Dropped. Fixed upstream in 14.0.3.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 28 May 2019 15:32:54 +0200

horizon (3:14.0.2-0ubuntu4) cosmic; urgency=medium

  * d/p/*-monkey-patching-for-APITestCase.patch: Cherry-picked from
    upstream stable/rocky branch to fix unit tests for plugin dashboards
    (LP: #1806053).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 May 2019 14:49:48 -0400

horizon (3:14.0.2-0ubuntu3) cosmic; urgency=medium

  * d/p/drop-devicename-creating-server-with-image-boot-to-volume.patch:
    When creating a server using an image boot source to new volume,
    horizon specified device_name 'vda'. If for instance we use an image
    with disk_bus type scsi, horizon will name the device_name as 'vda'
    when it should be 'sda'. As per BDMv2 documentation, it's best to not
    specify device_name. (LP: #1822129)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 17 Apr 2019 09:41:53 +0100

horizon (3:14.0.2-0ubuntu2) cosmic; urgency=medium

  [ Karl Williams ]
  * d/theme/ubuntu/_styles.scss: Fixing white bar on top of login
    page (LP: #1818770).

  [ Sahid Orentino Ferdjaoui]
  * d/theme/ubuntu/img: Replacing the corrupted PNG image
    image-background-pattern.png (LP: #1821896).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 29 Mar 2019 09:18:12 +0100

horizon (3:14.0.2-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1818068).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Feb 2019 15:46:50 -0500

horizon (3:14.0.1-0ubuntu2) cosmic; urgency=medium

  * d/python*-django-horizon.preinst: As of rocky,
    /usr/share/openstack-dashboard/openstack_dashboard is a symlink created
    with update-alternatives. Prior to rocky, files were copied to
    /usr/share/openstack-dashboard/openstack_dashboard. This change ensures
    the directory is removed if it is not a symlink prior to rocky
    installation (LP: #1815948).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Feb 2019 12:15:16 -0500

horizon (3:14.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * d/openstack-dashboard.postinst: Ensure that if memcached is installed it is
    restarted in post-install script after collecting/compressing static assets,
    enabling refresh of memcached static assets after upgrade (LP: #1802226).
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/p/add-enabled-check-in-backups-panel.patch: Dropped. Fixed in stable
    point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 14:17:30 -0500

horizon (3:14.0.0-0ubuntu4) cosmic; urgency=medium

  * d/p/add-enabled-check-in-backups-panel.patch: Cherry-picked from
    https://review.openstack.org/#/c/605715 to ensure Volume Backups panel
    is disabled if enable_backup is False (LP: #1778771).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 15:04:31 -0400

horizon (3:14.0.0-0ubuntu3) cosmic; urgency=medium

  * d/theme/ubuntu/_styles.scss: Ensure btn-danger rules are preferred when
    used with a, a:link, a:visited and dropdown-menu.li (LP: #1790189).
  * d/p/add-juju-environment-download.patch: Dropped as this support is for
    an old version of Juju (1.x). Users should follow the documentation at
    docs.jujucharms.com to configure Juju (2.x) to use an OpenStack cloud.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Sep 2018 14:22:20 -0600

horizon (3:14.0.0-0ubuntu2) cosmic; urgency=medium

  * d/openstack-dashboard.install, d/openstack-dashboard-common.install: Move
    apache2 conf back to openstack-dashboard package where apache2 dependencies
    are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 11:53:46 -0400

horizon (3:14.0.0-0ubuntu1) cosmic; urgency=medium

  * d/p/init-security-group-rule-quota.patch: Dropped. This patch is not
    complete.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:47:09 -0400

horizon (3:14.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/p/init-security-group-rule-quota.patch: Ensure the security_group_rule
    quota is initialized when quota_details extension is not supported.
    Otherwise, security_group_rule will not be initialized with 'used' and
    'available' dictionary items.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Aug 2018 13:04:18 -0400

horizon (3:14.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:16:59 -0400

horizon (3:14.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 10:08:00 -0400

horizon (3:14.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/control, d/openstack-dashboard-common.*: Add openstack-dashboard-common
    package and move common file installation from openstack-dashboard to it.
    This allows python(3)-django-horizon to be installed prior to the
    openstack-dashboard package.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jul 2018 08:55:14 -0400

horizon (3:14.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add python3-django-horizon package.
    - d/control: Add libapache2-mod-wsgi-py3 and python3-django-horizon
      and alternatives for openstack-dashboard installation.
    - d/rules: Switch to pkgos-dh_auto_install.
    - d/rules: Stop linking to pyX version of horizon modul
      as its not actually needed.


=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-django (>= 1.11),
 python-django-babel (>= 0.6.2),
 python-django-compressor (>= 2.0),
 python-django-pyscss (>= 2.0.2),
 python-futurist (>= 1.2.0),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.15.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-pint (>= 0.5),
 python-pymongo (>= 3.0.2),
 python-pyscss (>= 1.3.4),
 python-requests (>= 2.14.2),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-swiftclient (>= 1:3.2.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.12),
 python3-babel (>= 2.3.4),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi (>= 2.3) | libapache2-mod-wsgi-py3 (>= 2.3),
 python-django-horizon (= ${source:Version}) | python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
Breaks:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Replaces:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 2)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 2 module.

Package: python-django-openstack-auth
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-django (>= 1.11),
 python-django-babel (>= 0.6.2),
 python-django-compressor (>= 2.0),
 python-django-pyscss (>= 2.0.2),
 python-futurist (>= 1.2.0),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.15.0),
 python-memcache,
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-pbr (>= 2.0.0),
 python-pint (>= 0.5),
 python-pymongo (>= 3.0.2),
 python-pyscss (>= 1.3.4),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-swiftclient (>= 1:3.2.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.12),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 python-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Replaces:
 python-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Provides:
 python-openstack-auth,
 ${python:Provides},
Description: Django authentication backend for Openstack - Python 2.7
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 2.7 module.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python3-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 3)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 3 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-memcache,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 2.0.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Replaces:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3.x
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3.x module.

Package: openstack-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 openstack-dashboard (<< 3:14.0.0~b2-0ubuntu3~),
Replaces:
 openstack-dashboard (<< 3:14.0.0~b2-0ubuntu3~),
Description: Django web interface for OpenStack - common files
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.
 .
 This package provides common files.

## horizon 14.1.0

=== debian/changelog ===
horizon (3:14.1.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * d/watch: Switch to tarballs.opendev.org.
  * New stable point release for OpenStack Rocky (LP: #1875462).
  * d/p/lp1840465.patch: Dropped. Fixed in new stable point release.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 May 2020 15:06:33 -0400

horizon (3:14.0.4-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1853320).
  * d/p/lp1840465.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:41:21 -0500

horizon (3:14.0.3-0ubuntu1~cloud1) bionic-rocky; urgency=medium

  * d/p/lp1840465.patch: Fix failing to list security groups
    with no rules (LP: #1840465).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Fri, 18 Oct 2019 19:57:44 +0000

horizon (3:14.0.3-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 18 Jun 2019 19:51:23 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2,python3

PYVER=$(shell pyversions -d)
PYTHONS:=\$(shell pyversions -vr)
PY3VER=python3
PYTHON3S:=\$(shell py3versions -vr)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

override_dh_auto_clean:
	find . -name "django*.mo" -delete || :
	rm -f horizon/xstatic
	dh_auto_clean
	rm -f horizon/openstack_dashboard/local/.secret_key_store

override_dh_auto_build:
	# NOTE(jamespage) this is a little horrible but works around
	# the switch to /var/lib/openstack once installed for lockfiles
	ln -sf ../xstatic horizon/xstatic
	patch -p1 -R <debian/patches/ubuntu_settings.patch
	./manage.py compilemessages
	patch -p1 <debian/patches/ubuntu_settings.patch
	dh_auto_build

override_dh_auto_install:
	# install horizon and dashboard
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done
	# install vendorfied xstatic assets
	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/horizon
	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/horizon
	cp -r debian/theme/ubuntu $(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/openstack_dashboard/themes
	cp -r debian/theme/ubuntu $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/themes
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf-available

	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py

	# NOTE(jamespage): Link local_settings.py to both py version locations
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/openstack_dashboard/local/local_settings.py
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/local/local_settings.py

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Skip tests
	:
endif

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon horizon-(14\.\d.*)\.tar\.gz

## horizon 15.0.0

=== debian/changelog ===
horizon (3:15.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:04:48 +0100

horizon (3:15.0.0~rc2-0ubuntu2) disco; urgency=medium

  * d/p/set-min-version-of-python-cinderclient-to-4.0.0.patch: Ensure
    python3-cinderclient is >= 4.0.0, as this is required for create/update
    of volumes from the horizon dashboard (LP: #1824017).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Apr 2019 17:12:30 -0400

horizon (3:15.0.0~rc2-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/p/drop-devicename-creating-server-with-image-boot-to-volume.patch:
    Dropped. Included in new upstream release candidate.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 Apr 2019 15:01:36 -0400

horizon (3:15.0.0~rc1-0ubuntu2) disco; urgency=medium

  [ Corey Bryant ]
  * Revert commited quilt patches.
  * Re-import orig tarball to fix broken svg files.

  [ Karl Williams ]
  * d/theme/ubuntu/_styles.scss: Fixing white bar on top of login
    page (LP: #1818770).

  [ Sahid Orentino Ferdjaoui]
  * d/theme/ubuntu/img: Replacing the corrupted PNG image
    image-background-pattern.png (LP: #1821896)

  [ Eric Desrochers ]
  * d/p/drop-devicename-creating-server-with-image-boot-to-volume.patch:
    When creating a server using an image boot source to new volume,
    horizon specified device_name 'vda'. If for instance we use an image
    with disk_bus type scsi, horizon will name the device_name as 'vda'
    when it should be 'sda'. As per BDMv2 documentation, it's best to not
    specify device_name. (LP: #1822129)

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Apr 2019 15:59:34 -0400

horizon (3:15.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:25:15 +0000

horizon (3:15.0.0~b2-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 16:16:24 -0400

horizon (3:15.0.0~b2~git2019013121.d11ab7b28-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 21:02:43 -0500

horizon (3:15.0.0~b1~git2018112014.c4515d1bf-0ubuntu2) disco; urgency=medium

  * d/openstack-dashboard.postinst: Ensure that if memcached is installed it is
    restarted in post-install script after collecting/compressing static assets,
    enabling refresh of memcached static assets after upgrade (LP: #1802226).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 13:57:34 -0500

horizon (3:15.0.0~b1~git2018112014.c4515d1bf-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,openstack-dashboard.postinst,pydist-overrides,
    d/tests/*: Drop Python 2 support.
  * d/p/add-enabled-check-in-backups-panel.patch: Dropped. Fixed in upstream
    snapshot.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 14:47:48 -0500

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.4.0),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:4.0.0),
 python3-coverage (>= 4.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-doc8 (>= 0.6.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-memcache (>= 1.59),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3 (>= 2.3),
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
Breaks:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Replaces:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python3-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 3)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 3 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:4.0.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-memcache,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pbr (>= 2.0.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Replaces:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3 module.

Package: openstack-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 openstack-dashboard (<< 3:14.0.0~b2-0ubuntu3~),
Replaces:
 openstack-dashboard (<< 3:14.0.0~b2-0ubuntu3~),
Description: Django web interface for OpenStack - common files
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.
 .
 This package provides common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/horizon horizon-(15\.\d.*)\.tar\.gz

## horizon 15.1.1

=== debian/changelog ===
horizon (3:15.1.1-0ubuntu1.1) disco; urgency=medium

  * No change rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Dec 2019 08:04:45 -0500

horizon (3:15.1.1-0ubuntu1) disco; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1853319).
  * d/p/ubuntu_settings.patch: Refresh.
  * d/p/lp1840465.patch: Dropped. Fixed in upstream 15.1.1.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 03 Dec 2019 12:02:39 +0100

horizon (3:15.1.0-0ubuntu1.2) disco; urgency=medium

  * d/p/lp1840465.patch: Fix failing to list security groups
    with no rules (LP: #1840465).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Fri, 18 Oct 2019 19:13:41 +0000

horizon (3:15.1.0-0ubuntu1.1) disco; urgency=medium

  * No change rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jul 2019 10:06:53 -0400

horizon (3:15.1.0-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Stein (LP: #1837905).
  * d/p/set-min-version-of-python-cinderclient-to-4.0.0.patch: Dropped.
    Fixed in upstream 15.1.0.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 29 Jul 2019 08:39:33 +0200

## horizon 15.3.2

=== debian/changelog ===
horizon (3:15.3.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1904563).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 18 Nov 2020 14:49:56 +0000

horizon (3:15.3.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * No change rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2020 11:12:13 -0400

horizon (3:15.3.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1888203).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 03 Aug 2020 13:00:20 +0000

horizon (3:15.3.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1880163)

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 22 May 2020 11:36:56 +0000

horizon (3:15.2.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1871126).
  * d/p/gui-hangs-on-project-creation.patch,
    d/p/fix-user-list-for-different-domain.patch: Dropped. Fixed in
    stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:28:18 -0400

horizon (3:15.1.1-0ubuntu1.1~cloud1) bionic-stein; urgency=medium

  * Fix users/projects list when domain context is changed (LP: #1826114)
    - d/p/fix-user-list-for-different-domain.patch.
  * GUI hangs on creation of project in User creation form (LP: #1826114)
    - d/p/gui-hangs-on-project-creation.patch.

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Tue, 07 Jan 2020 12:30:39 +0530

horizon (3:15.1.1-0ubuntu1.1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 16 Dec 2019 12:21:20 +0000

=== debian/control ===
--- 
+++ 
@@ -62,8 +62,8 @@
  python3-yaml (>= 3.12),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/horizon
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
 
 Package: openstack-dashboard
 Architecture: all

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon horizon-(15\.\d.*)\.tar\.gz

## horizon 16.0.0

=== debian/changelog ===
horizon (3:16.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:27:32 -0400

horizon (3:16.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 09:18:40 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu4) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:26:25 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu3) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:32:18 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu2) eoan; urgency=medium

  * No change rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 11:45:47 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Refreshed.
  * d/p/switch-from-django-string_compat-to-format_lazy.patch: Dropped. Fixed
    in snapshot.
  * d/p/control: Fixed the epoch for python3-django.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 05 Aug 2019 10:41:57 +0200

horizon (3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu3) eoan; urgency=medium

  * d/p/switch-from-django-string_compat-to-format_lazy.patch: Rebased from
    https://review.opendev.org/#/c/671045.
  * d/control: Drop (Build-)Depends on python3-ceilometerclient as it is
    no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jul 2019 13:51:41 -0400

horizon (3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2) eoan; urgency=medium

  * d/p/switch-from-django-string_compat-to-format_lazy.patch: Cherry-picked
    from https://review.opendev.org/#/c/671045 to enable use of horizon with
    python-django >= 2.1 (LP: #1836671).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jul 2019 10:03:17 -0400

horizon (3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.
  * d/p/set-min-version-of-python-cinderclient-to-4.0.0.patch: Drop, no
    longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Jun 2019 07:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,9 @@
  python3-astroid (>= 2.1.0),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.4.0),
- python3-ceilometerclient (>= 2.5.0),
- python3-cinderclient (>= 1:4.0.0),
+ python3-cinderclient (>= 1:4.0.1),
  python3-coverage (>= 4.0),
- python3-django (>= 1.11),
+ python3-django (>= 1:1.11),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-debreach (>= 1.4.2),
@@ -39,7 +38,7 @@
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -53,6 +52,7 @@
  python3-pyscss (>= 1.3.4),
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
+ python3-semantic-version (>= 2.3.1),
  python3-six (>= 1.10.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-testscenarios (>= 0.4),
@@ -62,8 +62,8 @@
  python3-yaml (>= 3.12),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/horizon
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
 
 Package: openstack-dashboard
 Architecture: all
@@ -111,9 +111,8 @@
 Architecture: all
 Depends:
  python3-babel (>= 2.3.4),
- python3-ceilometerclient (>= 2.5.0),
- python3-cinderclient (>= 1:4.0.0),
- python3-django (>= 1.11),
+ python3-cinderclient (>= 1:4.0.1),
+ python3-django (>= 1:1.11),
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-debreach (>= 1.4.2),
@@ -133,6 +132,7 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.upgradecheck (>= 0.1.1),
  python3-oslo.utils (>= 3.33.0),
  python3-osprofiler (>= 2.3.0),
  python3-pbr (>= 2.0.0),
@@ -140,6 +140,7 @@
  python3-pymongo (>= 3.0.2),
  python3-pyscss (>= 1.3.4),
  python3-requests (>= 2.14.2),
+ python3-semantic-version (>= 2.3.1),
  python3-six (>= 1.10.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-tz (>= 2013.6),

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,8 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with python2,python3
+	dh $@  --with python3
 
-PYVER=$(shell pyversions -d)
-PYTHONS:=\$(shell pyversions -vr)
 PY3VER=python3
 PYTHON3S:=\$(shell py3versions -vr)
 
@@ -26,24 +24,18 @@
 	# the switch to /var/lib/openstack once installed for lockfiles
 	ln -sf ../xstatic horizon/xstatic
 	patch -p1 -R <debian/patches/ubuntu_settings.patch
-	./manage.py compilemessages
+	python3 ./manage.py compilemessages
 	patch -p1 <debian/patches/ubuntu_settings.patch
 	dh_auto_build
 
 override_dh_auto_install:
 	# install horizon and dashboard
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
-			--root $(CURDIR)/debian/tmp; \
-	done
 	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
 			--root $(CURDIR)/debian/tmp; \
 	done
 	# install vendorfied xstatic assets
-	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/horizon
 	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/horizon
-	cp -r debian/theme/ubuntu $(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/openstack_dashboard/themes
 	cp -r debian/theme/ubuntu $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/themes
 	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
@@ -59,8 +51,6 @@
 
 	# NOTE(jamespage): Link local_settings.py to both py version locations
 	ln -fs /etc/openstack-dashboard/local_settings.py \
-		$(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/openstack_dashboard/local/local_settings.py
-	ln -fs /etc/openstack-dashboard/local_settings.py \
 		$(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/local/local_settings.py
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/horizon horizon-(16\.\d.*)\.tar\.gz

## horizon 16.1.0

=== debian/changelog ===
horizon (3:16.1.0-0ubuntu1) eoan; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Train (LP: #1871125).
  * d/p/gui-hangs-on-project-creation.patch,
    d/p/fix-user-list-for-different-domain.patch: Dropped. Fixed in stable
    point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 10:55:26 -0400

horizon (3:16.0.0-0ubuntu1.1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Hemanth Nakkina ]
  * Fix users/projects list when domain context is changed (LP: #1826114)
    - d/p/fix-user-list-for-different-domain.patch.
  * GUI hangs on creation of project in User creation form (LP: #1826114)
    - d/p/gui-hangs-on-project-creation.patch.

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Tue, 07 Jan 2020 12:02:44 +0530

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon horizon-(16\.\d.*)\.tar\.gz

## horizon 16.2.2

=== debian/changelog ===
horizon (3:16.2.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1935031).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Jul 2021 11:28:56 +0000

horizon (3:16.2.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * d/watch: Add trailing slash to fix download.
  * New stable point release for OpenStack Train (LP: #1915787).
  * d/p/CVE-2020-29565.patch: Removed after fix landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Feb 2021 08:23:41 +0000

horizon (3:16.2.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * SECURITY UPDATE: ensure next parameter is validated to prevent malicious
    URL injection
    - d/p/CVE-2020-29565.patch: Make sure the next URL is in the same origin
      as Horizon before redirecting to it.
    - CVE-2020-29565

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Dec 2020 15:40:10 -0500

horizon (3:16.2.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1883892).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 18 Jun 2020 06:48:44 +0000

horizon (3:16.1.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Apr 2020 20:32:22 +0000

=== debian/control ===
--- 
+++ 
@@ -62,8 +62,8 @@
  python3-yaml (>= 3.12),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/horizon
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
 
 Package: openstack-dashboard
 Architecture: all

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon/ horizon-(16\.\d.*)\.tar\.gz

## horizon 18.0.1~git2020021409.bb959361b

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0
# Horizon Core Requirements
Babel!=2.4.0,>=2.3.4 # BSD
debtcollector>=1.2.0 # Apache-2.0
Django>=2.2,<3.0 # BSD
django-compressor>=2.0 # MIT
django-debreach>=1.4.2 # BSD License (2 clause)
django-pyscss>=2.0.2 # BSD License (2 clause)
enmerkar>=0.7.1 # BSD
futurist>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
pymongo!=3.1,>=3.0.2 # Apache-2.0
pyScss!=1.3.5,>=1.3.4 # MIT License
python-cinderclient>=5.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
semantic-version>=2.3.1 # BSD
XStatic>=1.0.0 # MIT License
XStatic-Angular>=1.5.8.0 # MIT License
XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
XStatic-Angular-Gettext>=2.3.8.0 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Angular-Schema-Form>=0.8.13.0 # MIT
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
XStatic-bootswatch>=3.3.7.0 # MIT License
XStatic-D3>=3.5.17.0 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.4.1.1 # MIT License
XStatic-jQuery>=1.8.2.1,<2 # MIT License
XStatic-JQuery-Migrate>=1.2.1.1 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.10.4.1 # MIT License
XStatic-JSEncrypt>=2.3.1.1 # MIT License
XStatic-mdi>=1.4.57.0 # SIL OPEN FONT LICENSE Version 1.1
XStatic-objectpath>=1.2.1.0 # MIT
XStatic-Rickshaw>=1.5.0.0 # BSD License (prior)
XStatic-roboto-fontface>=0.5.0.0 # Apache 2.0 License
XStatic-smart-table>=1.4.13.2 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.7.0 # MIT License
XStatic-tv4>=1.2.7.0 # MIT

=== debian/changelog ===
horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu3) focal; urgency=medium

  * d/rules: Force regeneration of SOURCES.txt to ensure that generated
    django{js}.mo files are included in binary packages, resolving issues
    with translations (LP: #1862343).

 -- James Page <james.page@ubuntu.com>  Wed, 26 Feb 2020 11:54:13 +0000

horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu2) focal; urgency=medium

  * d/control: Add epoch to python3-django (Build-)Depend.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 10:12:40 -0500

horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-horizon-test-settings.patch: Refreshed.
  * d/p/debian/patches/ubuntu_settings.patch: Refreshed.
  * d/control: Removed min version for python3-hacking.

  [ Corey Bryant ]
  * d/watch: Scope to 18.x series.
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/py3dist-overrides: Upstream has replaced babel-django with enmerkar.
    This is not needed in distro, as it is only required when extracting
    translation strings by OpenStack CI infra.
  * d/bundle-xstatic.sh: Switch to pip3.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 09:30:36 -0500

horizon (3:17.0.0~b1~git2019121712.f7313b74c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 12:20:47 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/horizon horizon-(18\.\d.*)\.tar\.gz
